Skip to main content
GET
/
api
/
analytics
/
tool-usage
MCP tool call statistics
curl --request GET \
  --url https://api.example.com/api/analytics/tool-usage \
  --header 'Authorization: Bearer <token>'
{
  "tool_calls": [
    {
      "tool_name": "<string>",
      "call_count": 123,
      "avg_duration_ms": 123,
      "avg_results_count": 123
    }
  ],
  "total_calls": 123,
  "recall_hit_rate": {
    "total_recalls": 123,
    "recalls_with_hits": 123,
    "hit_rate_pct": 123
  },
  "busiest_hour": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

window
string
default:7d

Time window: 7d or 30d

Pattern: ^(7d|30d)$

Response

Successful Response

Response for /api/analytics/tool-usage.

tool_calls
ToolCallStat · object[]
required
total_calls
integer
required
recall_hit_rate
RecallHitRate · object
required

Recall hit tracking metrics.

busiest_hour
integer | null
required